Subject: [MIPSHOP-MIH-DT] [Fwd: Re: DNS Early Warning: Score 40: Mobility Services Transport Protocol Design]

From: Vijay Devarapalli <[email-masked]>
Date: Fri, 05 Oct 2007 15:11:50 -0700

Some reviews from DNS folks. Some of the comments are on 
draft-bajko-mos-dns-discovery-00

Vijay

Subject: Re: DNS Early Warning: Score 40: Mobility Services Transport Protocol Design
From: Lars-Johan Liman <[email-masked]>
To: Jari Arkko <[email-masked]>
Cc: [email-masked], [email-masked], Mipshop Chairs <[email-masked]>
Date: Fri, 05 Oct 2007 14:34:31 +0200

[email-masked]:
> Please do assign someone to take a look. And Ralph,
> maybe you could take a look at this, too. This is related
> to MIPSHOP WG's work on 802.21 information transfer
> from the network to mobile nodes. Stefano, Vijay, is
> this the design team draft that they have been working
> for quite some time?

I did take a look at this specific draft on Olafur's request. It does
indeed contain a number of references to the DNS, but AFAICT they
_all_ say "use the DNS as described in draft-bajko-mos-dns-discovery-00", 
so that's a document we really need to look at. The authors have
actually been very successful in using only pointers to that document,
and _not_ describing the actual process in this document (no leakage
between docs). I see no conentious issues from a DNS perspective in
this specific draft, as it hinges off the other one (which I haven't
read).

				Cheers,
				  /Liman
#----------------------------------------------------------------------
# There are 10 kinds of people in the world. Those who understand
# binary numbers, and those who don't.
#----------------------------------------------------------------------
# Lars-Johan Liman, M.Sc.	! E-mail: [email-masked]
# Senior Systems Specialist     ! HTTP  : //www.autonomica.se/
# Autonomica AB, Stockholm 	! Voice : +46 8 - 615 85 72
#----------------------------------------------------------------------

Subject: Re: DNS Early Warning: Score 40: Mobility Services Transport Protocol Design
From: Peter Koch <[email-masked]>
To: Jari Arkko <[email-masked]>
Cc: [email-masked], [email-masked], Mipshop Chairs <[email-masked]>
Date: Fri, 5 Oct 2007 15:27:46 +0200

On Fri, Oct 05, 2007 at 03:55:40PM +0300, Jari Arkko wrote:
> Thanks for the review! Has anyone looked at the other
> document? I think we need to.

I did, a while ago.  What bothers me that this is another attempt to use the
DNS as a discovery mechanism, which is fatally wrong in my opinion.  The
draft <draft-bajko-mos-dns-discovery-00.txt> has some particular issues
with using NAPTR based on RFC 2915 instead of DDDS and with specifying
fallback mechanisms which have proven a bad idea in, e.g., the MX/A case.

However, the fundamental problem I have with this approach is that it assumes
that the searching entity is "in" a domain and knows about that.  This more
or less immediately leads to some DNS search (-> tree climbing; the draft
mentioned above isn't specific about this, but similar approaches are)
and it violates a paradigm that I consider important: it uses the DNS to
publish information _for_ a domain (whatever that is) instead of information
_about_ a domain.

Assuming that a system knows which domain it is "in" means you can't have
stable names, i.e., I want my laptop to be "unknown.denic.de" regardless
of where it is. Then, using the config details published under "denic.de"
probably won't help me when accessing the net via some hotspot that uses
DNS based service discovery.

There's a similar problem with a document in geopriv and a more recent one
discussed on the int-area list which try to base servcie location on the
availability and maintenance of the DNS reverse mapping.  That's slightly
better, because it bases sloc on location (through addresses, represented
as reverse mapping entries), but still uses the DNS the wrong direction IMHO.

-Peter

Subject: Re: DNS Early Warning: Score 40: Mobility Services Transport Protocol Design
From: Olafur Gudmundsson <[email-masked]>
To: Jari Arkko <[email-masked]>, Lars-Johan Liman <[email-masked]>
Cc: [email-masked], [email-masked], Mipshop Chairs <[email-masked]>
Date: Fri, 05 Oct 2007 09:34:45 -0400

I did look at the other one, it does propose a NAPTR schemas for three 'roles'
defined in 802.21.
Each time a node wants to find a mobility server there is the standard
  3 DNS lookups (NAPTR -> SRV --> A/AAAA) possibly multiplied by the number of
servers for the role.  This is harmless, no special processing.

The issues:
#1 Name of node that needs to be reached.
Draft says node either knows its FQDN or gets the domain it is in from DHC.

IMHO only the first one is viable as who can find a mobile node if it 
name keeps
changing.
Same applies to nodes that need (by policy) to only use "trusted" 
mobility servers.
Thus this is one case where DHC is the wrong answer and should be 
removed from the
list.

For nodes that only reach out AND do not care which Mobility server is used
DHC is a possibility.

#2
NAPTR: Regular expression field
The draft has examples where the regular expression field is empty, there is no
discussion in the draft if/how the field is to be used. My 
recommendation is for
the draft to discourage the use of the field.

#3
IANA considerations:
Need to filled in to satisfy the registration template.

         Olafur

At 08:55 05/10/2007, Jari Arkko wrote:
>Thanks for the review! Has anyone looked at the other
>document? I think we need to.
>
>I like your sig.
>
>Jari
>
>Lars-Johan Liman kirjoitti:
> > [email-masked]:
> >
> >> Please do assign someone to take a look. And Ralph,
> >> maybe you could take a look at this, too. This is related
> >> to MIPSHOP WG's work on 802.21 information transfer
> >> from the network to mobile nodes. Stefano, Vijay, is
> >> this the design team draft that they have been working
> >> for quite some time?
> >>
> >
> > I did take a look at this specific draft on Olafur's request. It does
> > indeed contain a number of references to the DNS, but AFAICT they
> > _all_ say "use the DNS as described in draft-bajko-mos-dns-discovery-00",
> > so that's a document we really need to look at. The authors have
> > actually been very successful in using only pointers to that document,
> > and _not_ describing the actual process in this document (no leakage
> > between docs). I see no conentious issues from a DNS perspective in
> > this specific draft, as it hinges off the other one (which I haven't
> > read).
> >
> >                               Cheers,
> >                                 /Liman
> > #----------------------------------------------------------------------
> > # There are 10 kinds of people in the world. Those who understand
> > # binary numbers, and those who don't.
> > #----------------------------------------------------------------------
> > # Lars-Johan Liman, M.Sc.     ! E-mail: [email-masked]
> > # Senior Systems Specialist     ! HTTP  : //www.autonomica.se/
> > # Autonomica AB, Stockholm    ! Voice : +46 8 - 615 85 72
> > #----------------------------------------------------------------------
> >
> >
> >
> >

_______________________________________________
MIPSHOP-MIH-DT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop-mih-dt